summaryrefslogtreecommitdiffstats
path: root/kubernetes/config
diff options
context:
space:
mode:
authorgfraboni <gino.fraboni@amdocs.com>2017-09-22 09:40:53 -0400
committerGino Fraboni <gino.fraboni@amdocs.com>2017-09-22 14:25:19 +0000
commit16a74e7cfd6f0fd9165e164298a3127d3130bc63 (patch)
tree5219c2f1da454d5304beaafb153fb50f17140b80 /kubernetes/config
parent3e130463a0062cdb7aef9717c46ee5bc9958a32e (diff)
Add Consul health check support for message-router
This push adds health checks for the following message-router components: DMaaP, Kafka, and ZooKeeper. Issue-ID: OOM-86 Change-Id: Icb557a27208eea94ea7ee6d8eadfb1f02481d7b4 Signed-off-by: gfraboni <gino.fraboni@amdocs.com>
Diffstat (limited to 'kubernetes/config')
-rw-r--r--kubernetes/config/docker/init/src/config/consul/consul-agent-config/mr-dmaap-health.json10
-rw-r--r--kubernetes/config/docker/init/src/config/consul/consul-agent-config/mr-kafka-health.json10
-rw-r--r--kubernetes/config/docker/init/src/config/consul/consul-agent-config/mr-zookeeper-health.json10
-rw-r--r--kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/mr-kafka-health.sh13
-rw-r--r--kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/mr-zookeeper-health.sh13
5 files changed, 56 insertions, 0 deletions
diff --git a/kubernetes/config/docker/init/src/config/consul/consul-agent-config/mr-dmaap-health.json b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/mr-dmaap-health.json
new file mode 100644
index 0000000000..bd01bc5d95
--- /dev/null
+++ b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/mr-dmaap-health.json
@@ -0,0 +1,10 @@
+{
+ "service": {
+ "name": "Health Check: Message Router - DMaaP",
+ "check": {
+ "http": "http://dmaap.onap-message-router:3904/topics",
+ "interval": "30s",
+ "timeout": "1s"
+ }
+ }
+}
diff --git a/kubernetes/config/docker/init/src/config/consul/consul-agent-config/mr-kafka-health.json b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/mr-kafka-health.json
new file mode 100644
index 0000000000..128cf94460
--- /dev/null
+++ b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/mr-kafka-health.json
@@ -0,0 +1,10 @@
+{
+ "service": {
+ "name": "Health Check: Message Router - Kafka",
+ "check": {
+ "script": "/consul/config/scripts/mr-kafka-health.sh",
+ "interval": "30s",
+ "timeout": "1s"
+ }
+ }
+}
diff --git a/kubernetes/config/docker/init/src/config/consul/consul-agent-config/mr-zookeeper-health.json b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/mr-zookeeper-health.json
new file mode 100644
index 0000000000..5268747349
--- /dev/null
+++ b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/mr-zookeeper-health.json
@@ -0,0 +1,10 @@
+{
+ "service": {
+ "name": "Health Check: Message Router - ZooKeeper",
+ "check": {
+ "script": "/consul/config/scripts/mr-zookeeper-health.sh",
+ "interval": "30s",
+ "timeout": "1s"
+ }
+ }
+}
diff --git a/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/mr-kafka-health.sh b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/mr-kafka-health.sh
new file mode 100644
index 0000000000..317c2a699c
--- /dev/null
+++ b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/mr-kafka-health.sh
@@ -0,0 +1,13 @@
+kafkapod=$(/consul/config/bin/kubectl -n onap-message-router get pod | grep -o "global-kafka-[^[:space:]]*")
+if [ -n "$kafkapod" ]; then
+ if /consul/config/bin/kubectl -n onap-message-router exec -it $kafkapod -- ps ef | grep -i kafka; then
+ echo Success. Kafka process is running. 2>&1
+ exit 0
+ else
+ echo Failed. Kafka is not running. 2>&1
+ exit 1
+ fi
+else
+ echo Failed. Kafka container is offline. 2>&1
+ exit 1
+fi
diff --git a/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/mr-zookeeper-health.sh b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/mr-zookeeper-health.sh
new file mode 100644
index 0000000000..3da456c05a
--- /dev/null
+++ b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/mr-zookeeper-health.sh
@@ -0,0 +1,13 @@
+zkpod=$(/consul/config/bin/kubectl -n onap-message-router get pod | grep -o "zookeeper-[^[:space:]]*")
+if [ -n "$zkpod" ]; then
+ if /consul/config/bin/kubectl -n onap-message-router exec -it $zkpod -- ps ef | grep -i zookeeper; then
+ echo Success. Zookeeper process is running. 2>&1
+ exit 0
+ else
+ echo Failed. Zookeeper is not running. 2>&1
+ exit 1
+ fi
+else
+ echo Failed. Zookeeper container is offline. 2>&1
+ exit 1
+fi